Skip to main content
GET
/
api
/
v1
/
cvms
List CVMs
curl --request GET \
  --url https://cloud-api.phala.com/api/v1/cvms \
  --header 'Authorization: Bearer <token>'
[
  {
    "hosted": {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "uptime": "<string>",
      "app_id": "<string>",
      "app_url": "<string>",
      "instance_id": "<string>",
      "configuration": {
        "name": "<string>",
        "image": "<string>",
        "vcpu": 123,
        "memory": 123,
        "disk_size": 123,
        "compose_file": {
          "name": "<string>",
          "allowed_envs": [
            "<string>"
          ],
          "bash_script": "<string>",
          "default_gateway_domain": "<string>",
          "docker_compose_file": "<string>",
          "init_script": "<string>",
          "kms_enabled": true,
          "local_key_provider_enabled": false,
          "manifest_version": 2,
          "no_instance_id": false,
          "pre_launch_script": "<string>",
          "public_logs": true,
          "public_sysinfo": true,
          "public_tcbinfo": true,
          "runner": "docker-compose",
          "gateway_enabled": true,
          "features": [
            "kms",
            "tproxy-net"
          ],
          "salt": "<string>",
          "secure_time": false,
          "storage_fs": "zfs",
          "tproxy_enabled": true
        },
        "ports": [
          {
            "protocol": "<string>",
            "host_port": 123,
            "vm_port": 123,
            "host_address": "<string>"
          }
        ],
        "encrypted_env": "<string>",
        "app_id": "<string>",
        "user_config": "<string>",
        "hugepages": false,
        "pin_numa": false,
        "gpus": {
          "gpus": [],
          "attach_mode": "listed"
        },
        "kms_urls": [],
        "gateway_urls": []
      },
      "exited_at": "<string>",
      "boot_progress": "<string>",
      "boot_error": "<string>",
      "shutdown_progress": "<string>",
      "image_version": "<string>",
      "events": [
        {
          "event": "<string>",
          "body": "<string>",
          "timestamp": 0
        }
      ]
    },
    "name": "<string>",
    "status": "<string>",
    "public_urls": [
      {
        "app": "<string>",
        "instance": "<string>"
      }
    ],
    "managed_user": {
      "id": 123,
      "username": "<string>"
    },
    "node": {
      "id": 123,
      "name": "<string>",
      "region_identifier": "<string>"
    },
    "listed": false,
    "in_progress": false,
    "dapp_dashboard_url": "<string>",
    "syslog_endpoint": "<string>",
    "allow_upgrade": false,
    "project_id": "prj_0123abcd",
    "project_type": "<string>",
    "billing_period": "<string>",
    "kms_info": {
      "id": "<string>",
      "url": "<string>",
      "version": "<string>",
      "slug": "<string>",
      "chain_id": 123,
      "kms_contract_address": "<string>",
      "gateway_app_id": "<string>"
    },
    "contract_address": "<string>",
    "deployer_address": "<string>",
    "vcpu": 123,
    "memory": 123,
    "disk_size": 123,
    "gateway_domain": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.phala.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

user_id

Filter by owner (admin only). Use '0' for unassigned.

Allowed value: "0"
teepod_id
integer | null

Filter by node ID (admin only)

Response

List of CVM summaries

hosted
VmInfo · object
required

Mapping from Teepod RPC's VmInfo.

name
string
required
status
string
required
public_urls
CvmNetworkUrls · object[]
required
managed_user
ManagedUser · object
node
CvmNode · object
listed
boolean
default:false
in_progress
boolean
default:false
dapp_dashboard_url
string | null
syslog_endpoint
string | null
allow_upgrade
boolean
default:false
project_id
string<hashid> | null

A hashed identifier that maps to an internal database ID

Pattern: ^prj_.+
Example:

"prj_0123abcd"

project_type
string | null
billing_period
string | null
kms_info
KMSInfo · object

KMS instance information.

contract_address
string | null
deployer_address
string | null
vcpu
integer | null
memory
integer | null
disk_size
integer | null
gateway_domain
string | null